Bug 859185 - TypeError: int() argument must be a string or a number, not 'NoneType'
TypeError: int() argument must be a string or a number, not 'NoneType'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
ppc64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:f537b8dbe4f9067e7a395c052f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 14:31 EDT by Mark Hamzy
Modified: 2012-11-22 21:30 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 21:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (753 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: anaconda-tb (239.49 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: environ (730 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: type (9 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: storage.log (95.92 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: version (2 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: program.log (47.66 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: product (6 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: syslog (64.84 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: packaging.log (1.25 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: anaconda.log (3.07 KB, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: release (24 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details
File: description (708 bytes, text/plain)
2012-09-20 14:31 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2012-09-20 14:31:00 EDT
Version-Release number of selected component:
anaconda-18.6.7

Additional info:
libreport version: 2.0.12
cmdline:        ro  vnc=1
kernel:         3.6.0-0.rc5.git0.1.fc18.ppc64
Comment 1 Mark Hamzy 2012-09-20 14:31:02 EDT
Created attachment 615029 [details]
File: ifcfg.log
Comment 2 Mark Hamzy 2012-09-20 14:31:06 EDT
Created attachment 615030 [details]
File: anaconda-tb
Comment 3 Mark Hamzy 2012-09-20 14:31:08 EDT
Created attachment 615031 [details]
File: environ
Comment 4 Mark Hamzy 2012-09-20 14:31:09 EDT
Created attachment 615032 [details]
File: type
Comment 5 Mark Hamzy 2012-09-20 14:31:12 EDT
Created attachment 615033 [details]
File: storage.log
Comment 6 Mark Hamzy 2012-09-20 14:31:13 EDT
Created attachment 615034 [details]
File: version
Comment 7 Mark Hamzy 2012-09-20 14:31:15 EDT
Created attachment 615035 [details]
File: program.log
Comment 8 Mark Hamzy 2012-09-20 14:31:16 EDT
Created attachment 615036 [details]
File: product
Comment 9 Mark Hamzy 2012-09-20 14:31:19 EDT
Created attachment 615037 [details]
File: syslog
Comment 10 Mark Hamzy 2012-09-20 14:31:20 EDT
Created attachment 615038 [details]
File: hashmarkername
Comment 11 Mark Hamzy 2012-09-20 14:31:22 EDT
Created attachment 615039 [details]
File: packaging.log
Comment 12 Mark Hamzy 2012-09-20 14:31:24 EDT
Created attachment 615040 [details]
File: anaconda.log
Comment 13 Mark Hamzy 2012-09-20 14:31:25 EDT
Created attachment 615041 [details]
File: release
Comment 14 Mark Hamzy 2012-09-20 14:31:27 EDT
Created attachment 615042 [details]
File: description
Comment 15 Mark Hamzy 2012-09-20 14:33:21 EDT
If the PPC machine's clock has not been configured (ex: Tue Jun 23 02:46:47 UTC 1970) then this happens when you accept your fate.
Comment 16 Vratislav Podzimek 2012-09-21 07:14:34 EDT
(In reply to comment #15)
> If the PPC machine's clock has not been configured (ex: Tue Jun 23 02:46:47
> UTC 1970) then this happens when you accept your fate.
This is something I didn't expect to happen. My fault, patch posted to anaconda-patches list.
Comment 17 Fedora Update System 2012-09-26 19:02:08 EDT
anaconda-18.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.10-1.fc18
Comment 18 Fedora Update System 2012-09-27 20:19:48 EDT
Package anaconda-18.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14933/anaconda-18.10-1.fc18
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2012-10-02 10:13:25 EDT
anaconda-18.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.11-1.fc18
Comment 20 Fedora Update System 2012-10-03 20:58:16 EDT
anaconda-18.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.12-1.fc18
Comment 21 Adam Williamson 2012-11-22 21:30:11 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.